## com.sun.pdfview.decode
Class LZWDecode

    java.lang.Object
      com.sun.pdfview.decode.LZWDecode

    public class LZWDecode

extends java.lang.Object

decode an LZW-encoded array of bytes. LZW is a patented algorithm. Consult with Sun Legal before using this code in a commercial product.

Method Summary
`static java.nio.ByteBuffer` `decode(java.nio.ByteBuffer buf, PDFObject params)` decode an array of LZW-encoded bytes to a byte array.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### decode

    public static java.nio.ByteBuffer decode(java.nio.ByteBuffer buf,
                                             PDFObject params)
                                      throws java.io.IOException

  decode an array of LZW-encoded bytes to a byte array.

  Parameters:
    `buf` - the buffer of encoded bytes
    `params` - parameters for the decoder (unused)
  Returns:
    the decoded uncompressed bytes
  Throws:
    `java.io.IOException`